using System;

namespace ConsoleApp31
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int[,] N = new int[n, 1];
            string[] s1 = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                N[i, 0] = int.Parse(s1[i]);
            }
            int[,] M = new int[2 * n + 1, 2];
            for (int i = 0; i < 2*n+1; i++)
            {
                M[i, 1] = 0;
            }            
            int pocetak = 0 - n;
            for (int i = 0; i < 2 * n + 1; i++)
            {
                M[i, 0] = pocetak;
                pocetak++;
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < 2*n + 1; j++)
                {
                    if (N[i, 0] == M[j, 0])
                    {
                        M[j, 1]++;
                    }
                }
            }
            int ispis = 0;
            for (int i = 0; i < 2 * n + 1; i++)
            {
                if (M[i, 1] >= k)
                {
                    ispis++;
                }
            }
            Console.WriteLine(ispis);
            for (int i = 0; i < 2*n+1; i++)
            {
                if (M[i, 1] >= k)
                {
                    Console.Write(M[i, 0] + " ");
                }
            }
        }
    }
}